package com.yeejoin.amos.boot.biz.common.enums;

import lombok.AllArgsConstructor;

@AllArgsConstructor
public enum WorkFlowEnum {
	BUSINESSKEY("businessKey","自动生成的ID"),
	processDefinitionKey("processDefinitionKey","流程定义的KEY"),
	制定计划内容("制定计划+内容","流程节点的特殊值"),
	现场确认("现场确认","流程节点的特殊值"),
	CONDITION("condition",""),
	DATA("data","data"),
	ID("id","id"),
	CHECKFLAG("checkFlag","自定义是否具有执行权限的标识符"),
	TASKID("taskId","可执行任务的主键"),
	GROUP("group","角色组"),
	GROUPID("groupId","角色组的key"),
	GROUPNAME("groupName","角色组的key"),
	NAME("name","任务节点的key"),
	PROCESSINSTANCEID("processInstanceId",""),
	ASSIGN("assignee","角色执行人key");
	
	private String code;//对应菜单组件名称
    private String desc;//描述

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

	public String getDesc() {
		return desc;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

}
